Redmine - Defect #25478

Related to "no open issues" shows all issues
2017-03-30 12:09 - Kevin Fischer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 3.2.6

Resolution: Fixed Affected version: 3.3.2
Description

When filtering for issues that are related (bi-directional relationship) to "No open issues", all issues and not just the ones related to
none or closed issues are shown.

Associated revisions

Revision 16504 - 2017-04-06 18:57 - Jean-Philippe Lang

Fixed that related to "no open issues" filter shows all issues (#25478).

Patch by Kevin Fischer.

Revision 16521 - 2017-04-08 09:37 - Jean-Philippe Lang
Merged r16504 (#25478).

Revision 16522 - 2017-04-08 09:39 - Jean-Philippe Lang
Merged r16504 (#25478).

History

#1 - 2017-04-03 10:51 - Go MAEDA
- File 25478-reproduce-1.png added
- File 25478-reproduce-2.png added
- File 25478-reproduce-3.png added
- File 25478-reproduce-4.png added
- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

| confirmed the problem.

Suppose the following situation. All issues except Issue F have some relations.

Issues
Filters
Add filter
Options
¢ Apply '@ Clear
# Tracker Status Subject
24 Bug MNew Issue F (no relation)
23 Bug MNew Issue E (related to both open and closed issue)
22 Bug Closed Issue D (related to open issue)
21 Bug MNew Issue C (related to closed issue)
20 Bug New Issue B (related to open issue)
19 Bug MNew Issue A (related to open issue)

"Related to any open issues" is expected to list issues which has "related to" relations open issues. It works fine.
Issues

Filters
Related to any open issues &) Add filter
Options

¢ Apply @ Clear

# Tracker Status Subject
23 Bug New Issue E (related to both open and closed issue)
22 Bug Closed Issue D (related to open issue)

20 Bug New Issue B (related to open issue)

19 Bug New Issue A (related to open issue)

"Related to no open issues” is expected to list issues which don't have "related to" relations to open issues. But actually it lists all issues in the
project.

Issues
» Filters

Related to no open issues |4 Add filter

» Dptions

 Apply @ Clear

# v Tracker Status Subject
24 Bug New Issue F (no relation)

23 Bug New Issue E (related to both open and closed issue)
22 Bug Closed Issue D (related to open issue)

21 Bug New Issue C (related to closed issue)

20 Bug New Issue B (related to open issue)

With the proposed patch by Kevin Fischer, "Related to no open issues" works as expected.
Issues
Filters

Related to no open issues 4 Add filter
» Dptions

« Apply .;) Clear

¥ Tracker Status Subject
24 Bug New Issue F (no relation)
21 Bug MNew Issue C (related to closed issue)

#2 - 2017-04-06 13:44 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.2.6
Let's merge this fix to the core. Setting target version to 3.2.6.

#3 - 2017-04-06 18:25 - Marius BALTEANU

Go MAEDA, it is the expected behaviour for the filter "Related to no open issues" to return an issue without relations (Issue F from your screenshots)?
From my point of view, only "Related to none" should return issues with no relations.

#4 - 2017-04-06 19:01 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.
Marius BALTEANU wrote:

Go MAEDA, it is the expected behaviour for the filter "Related to no open issues" to return an issue without relations (Issue F from your

screenshots)?

Yes that was the expected behaviour. Maybe we would have to add another filter like "related to closed issues only" if it's needed.

#5 - 2017-04-08 09:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed
